
const httpRequestt = {
    getproyectos(params) {
        return ajaxRequestGeneral({
            url: 'http://172.16.2.53:8080/security-rest/api/proyecto/listarProyectoUsuario',
            type: 'POST',
            headers: {
                "Content-type": 'application/json',
                "Accept": 'application/json',
                "Authorization":Cookies.get('Authorization')
            },
            body: params
        })
    }
    
}

let setProyecto = () => {
    let params= {
	"usuario" : "amoreno",
	"pass" : "75441247",
	"codigoProyecto":"2"
    }
    console.log("TOKEN : : : : :"+Cookies.get('Authorization'));
    httpRequestt.getproyectos(params)
            .then(data => {
                if (data.status) {
                    delete data["status"];
                    let html='';
                    let proyectos = data.proyectos;
                    let auth =Cookies.get('Authorization');
                    console.log(proyectos)
                    let urls='';
                    for(let i in proyectos){
                        urls += proyectos[i].url+";";
//                        let url = proyectos[i].url;//produccion
                        let url = 'http://172.16.2.53:8080/proyecto-estandar/';//Pruebas
                        html+='<li><a href="'+url+'vistas/RedireccionarServlet?t='+auth.replace("\"","")+'" class="redirect" class="deutsch" ><img src="assets/images/flags/de.png" alt=""> '
                            + '<i class="glyphicon glyphicon-arrow-right"></i>'+proyectos[i].nombre+'</a></li>';
                    }
                    /*Pruebas*/
                    let url2 = 'http://172.16.2.53:8080/aplicaciones/;';//Pruebas
                    let url3 = 'http://172.16.2.53:8080/proyecto-estandar/';
                    urls +=url2;
                    urls +=url3;
                    let url4 = 'http://172.16.2.53:8080/aplicaciones/';//Pruebas
                    Cookies.set("urls",urls,{expiry: 36000000});
                        html+='<li><a href="'+url4+'vistas/RedireccionarServlet?t='+auth.replace("\"","")+'" class="redirect" class="deutsch" ><img src="assets/images/flags/de.png" alt=""> '
                            + '<i class="glyphicon glyphicon-arrow-right"></i>Test</a></li>';
                    /*Pruebas*/
                    document.getElementById("proyectos").innerHTML = html;
                    
                } else {
//                    window.location.href = 'http://localhost:8080/aplicaciones/';
                }
//                console.log(data)
            })
            .catch(err => console.log(err))
}

setProyecto();
